-- MySQL Script generated by MySQL Workbench
-- Mon Jul  2 15:18:49 2018
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema bdreyesdelnorte
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema bdreyesdelnorte
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `bdreyesdelnorte` DEFAULT CHARACTER SET utf8 COLLATE utf8_spanish2_ci ;
USE `bdreyesdelnorte` ;

-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Proyectos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Proyectos` (
  `idProyecto` INT NOT NULL AUTO_INCREMENT,
  `PYTnombre` VARCHAR(50) NOT NULL,
  `PYTtipo` VARCHAR(20) NOT NULL,
  `PYTcosto` DECIMAL(10,2) NOT NULL,
  `PYTnumLot` INT NOT NULL,
  `PYTlocali` VARCHAR(80) NOT NULL,
  `PYTfono` VARCHAR(10) NULL,
  `PYTfchIni` DATE NOT NULL,
  `PYTfchFin` DATE NULL,
  `PYTobserv` VARCHAR(80) NULL,
  `PYTestado` CHAR(1) NOT NULL,
  PRIMARY KEY (`idProyecto`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Productos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Productos` (
  `idProducto` INT NOT NULL AUTO_INCREMENT,
  `idProyecto` INT NOT NULL,
  `PDTtipPro` CHAR(1) NOT NULL,
  `PDTnombre` VARCHAR(30) NOT NULL,
  `PDTlargo` DECIMAL(6,2) NOT NULL,
  `PDTancho` DECIMAL(6,2) NOT NULL,
  `PDTperime` VARCHAR(20) NULL,
  `PDTmanzan` CHAR(1) NOT NULL,
  `PDTlindFt` VARCHAR(40) NOT NULL,
  `PDTlindDe` VARCHAR(40) NOT NULL,
  `PDTlindIz` VARCHAR(40) NOT NULL,
  `PDTlindFd` VARCHAR(40) NOT NULL,
  `PDTparReg` VARCHAR(10) NOT NULL,
  `PDTprecio` DECIMAL(10,2) NOT NULL,
  `PDTimagen` VARCHAR(80) NULL,
  `PDTestado` CHAR(1) NOT NULL,
  PRIMARY KEY (`idProducto`),
  INDEX `fk_productos_proyectos_idx` (`idProyecto` ASC),
  CONSTRAINT `fk_productos_proyectos`
    FOREIGN KEY (`idProyecto`)
    REFERENCES `bdreyesdelnorte`.`Proyectos` (`idProyecto`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Interesados`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Interesados` (
  `idInteresado` INT NOT NULL AUTO_INCREMENT,
  `INTtipDoc` VARCHAR(3) NOT NULL,
  `INTnumDoc` VARCHAR(11) NOT NULL,
  `INTdatos` VARCHAR(80) NOT NULL,
  `INTrepres` VARCHAR(80) NULL,
  `INTcelfon` VARCHAR(10) NOT NULL,
  `INTubicac` VARCHAR(45) NOT NULL,
  `INTdirec` VARCHAR(80) NOT NULL,
  `INTestado` CHAR(1) NOT NULL,
  PRIMARY KEY (`idInteresado`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Empleados`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Empleados` (
  `idEmpleado` INT NOT NULL AUTO_INCREMENT,
  `EMPdni` VARCHAR(8) NOT NULL,
  `EMPnombre` VARCHAR(45) NOT NULL,
  `EMPapelli` VARCHAR(45) NOT NULL,
  `EMPsexo` CHAR(1) NOT NULL,
  `EMPfchNac` DATE NOT NULL,
  `EMPdirec` VARCHAR(80) NOT NULL,
  `EMPcelfon` VARCHAR(10) NOT NULL,
  `EMPestado` CHAR(1) NOT NULL,
  PRIMARY KEY (`idEmpleado`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Ventas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Ventas` (
  `idVenta` INT NOT NULL AUTO_INCREMENT,
  `idUsuario` INT NOT NULL,
  `idInteresado` INT NOT NULL,
  `idProducto` INT NOT NULL,
  `VTAtipDoc` VARCHAR(3) NOT NULL,
  `VTAnumSer` VARCHAR(5) NOT NULL,
  `VTAnumDoc` VARCHAR(10) NOT NULL,
  `VTAfechaV` DATETIME NOT NULL,
  `VTAtipPag` VARCHAR(3) NOT NULL,
  `VTAnumCuo` INT NOT NULL,
  `VTAperiod` VARCHAR(10) NOT NULL,
  `VTAfchPag` DATE NULL,
  `VTAmonTot` DECIMAL(10,2) NOT NULL,
  `VTAigv` DECIMAL(10,2) NOT NULL,
  `VTAestado` CHAR(1) NOT NULL,
  PRIMARY KEY (`idVenta`),
  INDEX `fk_Ventas_Interesados_idx` (`idInteresado` ASC),
  INDEX `fk_Ventas_Productos_idx` (`idProducto` ASC),
  CONSTRAINT `fk_Ventas_Interesados`
    FOREIGN KEY (`idInteresado`)
    REFERENCES `bdreyesdelnorte`.`Interesados` (`idInteresado`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Ventas_Productos`
    FOREIGN KEY (`idProducto`)
    REFERENCES `bdreyesdelnorte`.`Productos` (`idProducto`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Cuotas_Pago`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Cuotas_Pago` (
  `idCuotaPago` INT NOT NULL AUTO_INCREMENT,
  `idVenta` INT NOT NULL,
  `CUOnumCuo` INT NOT NULL,
  `CUOmonto` DECIMAL(10,2) NOT NULL,
  `CUOfchVnc` DATE NOT NULL,
  `CUOmora` DECIMAL(10,2) NULL,
  `CUOfechaP` DATETIME NULL,
  `CUOusuario` INT NULL,
  `CUOestado` CHAR(1) NOT NULL,
  PRIMARY KEY (`idCuotaPago`),
  INDEX `fk_Cuotas_Ventas_idx` (`idVenta` ASC),
  CONSTRAINT `fk_Cuotas_Ventas`
    FOREIGN KEY (`idVenta`)
    REFERENCES `bdreyesdelnorte`.`Ventas` (`idVenta`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Configuracion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Configuracion` (
  `idConfiguracion` INT NOT NULL AUTO_INCREMENT,
  `CONFrubro` VARCHAR(30) NOT NULL,
  `CONFrazSoc` VARCHAR(50) NOT NULL,
  `CONFruc` VARCHAR(11) NOT NULL,
  `CONFdireccion` VARCHAR(80) NOT NULL,
  `CONFigv` INT NOT NULL,
  `CONFlogo` VARCHAR(80) NULL,
  PRIMARY KEY (`idConfiguracion`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Caja`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Caja` (
  `idCaja` INT NOT NULL AUTO_INCREMENT,
  `CAJfechaM` DATE NOT NULL,
  `CAJhoraM` TIME NOT NULL,
  `CAJtipMov` VARCHAR(5) NOT NULL,
  `CAJmonto` DECIMAL(10,2) NOT NULL,
  `CAJdetalle` VARCHAR(50) NOT NULL,
  `CAJautori` VARCHAR(50) NULL,
  PRIMARY KEY (`idCaja`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`migrations`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL) 
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`password_resets`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`password_resets` (
  `email` varchar(255) COLLATE utf8_spanish2_ci NOT NULL,
  `token` varchar(255) COLLATE utf8_spanish2_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`users`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`users` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Comprobantes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Comprobantes` (
  `idComprobante` INT NOT NULL AUTO_INCREMENT,
  `COMtipDoc` VARCHAR(20) NOT NULL,
  `COMultSer` VARCHAR(3) NOT NULL,
  `COMultNum` INT NOT NULL,
  PRIMARY KEY (`idComprobante`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bdreyesdelnorte`.`Caja_Chica`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bdreyesdelnorte`.`Caja_Chica` (
  `idCaja_Chica` INT NOT NULL AUTO_INCREMENT,
  `CJCfechaM` DATE NOT NULL,
  `CJChoraM` TIME NOT NULL,
  `CJCtipMov` VARCHAR(5) NOT NULL,
  `CJCmonto` DECIMAL(10,2) NOT NULL,
  `CJCdescri` VARCHAR(50) NOT NULL,
  `CJCdetalle` VARCHAR(50) NOT NULL,
  PRIMARY KEY (`idCaja_Chica`))
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

-- -----------------------------------------------------
-- Data for table `bdreyesdelnorte`.`Proyectos`
-- -----------------------------------------------------
START TRANSACTION;
USE `bdreyesdelnorte`;
INSERT INTO `bdreyesdelnorte`.`Proyectos` (`idProyecto`, `PYTnombre`, `PYTtipo`, `PYTcosto`, `PYTnumLot`, `PYTlocali`, `PYTfono`, `PYTfchIni`, `PYTfchFin`, `PYTobserv`, `PYTestado`) VALUES (1, 'URBANIZACIÓN BUENA VISTA I ETAPA', 'LOTE', 2800589, 15, 'BAGUA GRANDE - AMAZONAS', '041-286520 ', '2023-06-05', NULL, 'Ninguna', 'V');
INSERT INTO `bdreyesdelnorte`.`Proyectos` (`idProyecto`, `PYTnombre`, `PYTtipo`, `PYTcosto`, `PYTnumLot`, `PYTlocali`, `PYTfono`, `PYTfchIni`, `PYTfchFin`, `PYTobserv`, `PYTestado`) VALUES (2, 'URBANIZACIÓN BUENA VISTA II ETAPA', 'LOTE', 5398200, 20, 'BAGUA GRANDE - AMAZONAS', '041-324977', '2023-06-12', NULL, 'Ninguna', 'V');

COMMIT;


-- -----------------------------------------------------
-- Data for table `bdreyesdelnorte`.`Productos`
-- -----------------------------------------------------
START TRANSACTION;
USE `bdreyesdelnorte`;
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (1, 1, 'L', 'LOTE 1', 20, 6, '6m/ 20m/ 6m/ 20m', 'A', 'AV. SANTA ROSA', 'LOTE 2', 'CALLE SAN JOSE', 'LOTE 10', 'U786967838', 11000, 'foto1.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (2, 1, 'L', 'LOTE 2', 20, 6, '6m/ 20m/ 6m/ 20m', 'A', 'AV. SANTA ROSA', 'LOTE 3', 'LOTE 1', 'LOTE 9', 'J837828748', 11000, 'foto2.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (3, 1, 'L', 'LOTE 3', 20, 6, '6m/ 20m/ 6m/ 20m', 'A', 'AV. SANTA ROSA', 'LOTE 4', 'LOTE 2', 'LOTE 8', 'Y893728470', 11000, 'foto3.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (4, 1, 'L', 'LOTE 4', 20, 6, '6m/ 20m/ 6m/ 20m', 'A', 'AV. SANTA ROSA', 'LOTE 5', 'LOTE 3', 'LOTE 7', 'W98746720', 11000, 'foto4.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (5, 1, 'L', 'LOTE 5', 20, 6, '6m/ 20m/ 6m/ 20m', 'A', 'AV.SANTA ROSA', 'PASAJE INGENIEROS', 'LOTE 4', 'LOTE 6', 'F928378478', 11000, 'foto5.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (6, 1, 'L', 'LOTE 6', 15, 6, '6m/ 15m/ 6m/ 15m', 'A', 'CALLE COLON', 'LOTE 7', 'PASAJE INGENIEROS', 'LOTE 5', 'P834682145', 9890, 'foto6.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (7, 1, 'L', 'LOTE 7', 15, 6, '6m/ 15m/ 6m/ 15m', 'A', 'CALLE COLON', 'LOTE 8', 'LOTE 6', 'LOTE 4', 'T394782747', 9890, 'foto7.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (8, 1, 'L', 'LOTE 8', 15, 6, '6m/ 15m/ 6m/ 15m', 'A', 'CALLE COLON', 'LOTE 9', 'LOTE 7', 'LOTE 3', 'Q846950232', 9890, 'foto2.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (9, 1, 'L', 'LOTE 9', 15, 6, '6m/ 15m/ 6m/ 15m', 'A', 'CALLE COLON', 'LOTE 10', 'LOTE 8', 'LOTE 2', 'M731100254', 9890, 'foto4.jpg', 'D');
INSERT INTO `bdreyesdelnorte`.`Productos` (`idProducto`, `idProyecto`, `PDTtipPro`, `PDTnombre`, `PDTlargo`, `PDTancho`, `PDTperime`, `PDTmanzan`, `PDTlindFt`, `PDTlindDe`, `PDTlindIz`, `PDTlindFd`, `PDTparReg`, `PDTprecio`, `PDTimagen`, `PDTestado`) VALUES (10, 1, 'L', 'LOTE 10', 15, 6, '6m/ 15m/ 6m/ 15m', 'A', 'CALLE COLON', 'CALLE SAN JOSE', 'LOTE 9', 'LOTE 1', 'X830020211', 9890, 'foto3.jpg', 'D');

COMMIT;


-- -----------------------------------------------------
-- Data for table `bdreyesdelnorte`.`Interesados`
-- -----------------------------------------------------
START TRANSACTION;
USE `bdreyesdelnorte`;
INSERT INTO `bdreyesdelnorte`.`Interesados` (`idInteresado`, `INTtipDoc`, `INTnumDoc`, `INTdatos`, `INTrepres`, `INTcelfon`, `INTubicac`, `INTdirec`, `INTestado`) VALUES (1, 'DNI', '40289012', 'JORGE LUIS BAILA MANAYAY', 'JORGE LUIS BAILA MANAYAY', '949030086', 'BAGUA GRANDE', 'JR. TUPAC AMARU 102', 'A');
INSERT INTO `bdreyesdelnorte`.`Interesados` (`idInteresado`, `INTtipDoc`, `INTnumDoc`, `INTdatos`, `INTrepres`, `INTcelfon`, `INTubicac`, `INTdirec`, `INTestado`) VALUES (2, 'RUC', '20358921147', 'FERRETERIA \"DE TODO METAL\"', 'JOSE SUAREZ', '979811825', 'JAEN', 'AV. SAENZ PEÑA 1105', 'A');

COMMIT;


-- -----------------------------------------------------
-- Data for table `bdreyesdelnorte`.`Empleados`
-- -----------------------------------------------------
START TRANSACTION;
USE `bdreyesdelnorte`;
INSERT INTO `bdreyesdelnorte`.`Empleados` (`idEmpleado`, `EMPdni`, `EMPnombre`, `EMPapelli`, `EMPsexo`, `EMPfchNac`, `EMPdirec`, `EMPcelfon`, `EMPestado`) VALUES (1, '17440523', 'JUAN CARLOS', 'CHAVEZ PEREZ', 'M', '1990-01-27', 'AV. TACNA 209', '979856613', 'A');
INSERT INTO `bdreyesdelnorte`.`Empleados` (`idEmpleado`, `EMPdni`, `EMPnombre`, `EMPapelli`, `EMPsexo`, `EMPfchNac`, `EMPdirec`, `EMPcelfon`, `EMPestado`) VALUES (2, '17407791', 'MERLY GIANELLA', 'MALCA TORRES', 'F', '1994-03-06', 'JUAN FANING 457', '976723119', 'A');
INSERT INTO `bdreyesdelnorte`.`Empleados` (`idEmpleado`, `EMPdni`, `EMPnombre`, `EMPapelli`, `EMPsexo`, `EMPfchNac`, `EMPdirec`, `EMPcelfon`, `EMPestado`) VALUES (3, '48425844', 'MARYORIE', 'BELLODAS SUCLUPE', 'F', '1996-04-22', 'NICANOR 678', '989711323', 'A');

COMMIT;


-- -----------------------------------------------------
-- Data for table `bdreyesdelnorte`.`Configuracion`
-- -----------------------------------------------------
START TRANSACTION;
USE `bdreyesdelnorte`;
INSERT INTO `bdreyesdelnorte`.`Configuracion` (`idConfiguracion`, `CONFrubro`, `CONFrazSoc`, `CONFruc`, `CONFdireccion`, `CONFigv`, `CONFlogo`) VALUES (1, 'INMOBILIARIA', 'SAHUR REYES DEL NORTE S.A.C', '20172455735', 'BAGUA GRANDE - AMAZONAS', 18, 'reyes.jpg');

COMMIT;


-- -----------------------------------------------------
-- Data for table `bdreyesdelnorte`.`Comprobantes`
-- -----------------------------------------------------
START TRANSACTION;
USE `bdreyesdelnorte`;
INSERT INTO `bdreyesdelnorte`.`Comprobantes` (`idComprobante`, `COMtipDoc`, `COMultSer`, `COMultNum`) VALUES (1, 'BOLETA', '001', 28);
INSERT INTO `bdreyesdelnorte`.`Comprobantes` (`idComprobante`, `COMtipDoc`, `COMultSer`, `COMultNum`) VALUES (2, 'FACTURA', '002', 245);

COMMIT;


-- -----------------------------------------------------
-- Data for table `bdreyesdelnorte`.`users`
-- -----------------------------------------------------
START TRANSACTION;
USE `bdreyesdelnorte`;
INSERT INTO `bdreyesdelnorte`.`users` (`id`, `name`, `email`, `password`, `remember_token`, `created_at`, `updated_at`) VALUES (1, 'Mariola Rodriguez Valles', 'christian.qm.19@gmail.com', '$2y$10$300Q4pnyLPXomZOniO8Oz.BHwCIzDCvABJ2egCcPIoojYOwIH2QYW', NULL, '2018-06-08 15:19:52', '2018-06-08 15:19:52');

COMMIT;

