<?php

namespace sisAbaco\Http\Controllers;

use Illuminate\Http\Request;

use sisAbaco\Comprobante;
use Illuminate\Support\Facades\Redirect;
use sisAbaco\Http\Requests\ComprobanteFormRequest;
use DB;

class ComprobanteController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(Request $request)
    {
    	if ($request) {
    		$query = trim($request->get('searchText'));
    		$comprobantes = DB::table('comprobantes')
            ->where('COMtipDoc','LIKE','%'.$query.'%')
    		->orderBy('idComprobante','desc')
    		->paginate(7);
    		return view('inmobiliaria.comprobante.index',["comprobantes"=>$comprobantes,"searchText"=>$query]);
    	}
    }
    public function create()
    {
    	return view("inmobiliaria.comprobante.create");
    }
    public function store(ComprobanteFormRequest $request)
    {
        $comprobante = new Comprobante;
        $comprobante->COMtipDoc=$request->get('tip_documento');
        $comprobante->COMultSer=$request->get('serie');
        $comprobante->COMultNum=$request->get('numero');
        $comprobante->save();
        return Redirect::to('inmobiliaria/comprobante');
    }
    public function edit($id)
    {
    	return view("inmobiliaria.comprobante.edit",["comprobante"=>Comprobante::findOrFail($id)]);
    }
    public function update(ComprobanteFormRequest $request,$id)
    {
        $comprobante = Comprobante::findOrFail($id);
        $comprobante->COMtipDoc=$request->get('tip_documento');
        $comprobante->COMultSer=$request->get('serie');
        $comprobante->COMultNum=$request->get('numero');
        $comprobante->update();
        return Redirect::to('inmobiliaria/comprobante');
    }
    public function destroy($id)
    {
        $comprobante=Comprobante::findOrFail($id);
        $comprobante->delete();
        return Redirect::to('inmobiliaria/comprobante');
    }
}
