<?php

namespace sisAbaco\Http\Controllers;

use Illuminate\Http\Request;

use sisAbaco\CuotasPago;
use sisAbaco\Caja;
use Illuminate\Support\Facades\Redirect;
use sisAbaco\Http\Requests\CuotasPagoFormRequest;
use DB;

use Carbon\Carbon;
use Fpdf;

class CuotasPagoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
    	$interesados=DB::table('interesados')->get();
    	if ($request) {
    		$query = trim($request->get('searchText'));
    		$cuotas_pago = DB::table('cuotas_pago as c_p')
    		->join('ventas as ven','ven.idVenta','=','c_p.idVenta')
    		->join('interesados as cli','cli.idInteresado','=','ven.idInteresado')
    		->where('ven.VTAtipPag','=','CRE')
    		->where('c_p.CUOnumCuo','<>','0')
            ->where('ven.VTAnumDoc','LIKE','%'.$query.'%')
            ->orwhere('ven.VTAtipPag','=','CRE')
            ->where('c_p.CUOnumCuo','<>','0')
            ->where('c_p.CUOnumCuo','=',''.$query.'')
            ->orderBy('c_p.idCuotaPago','asc')
    		->paginate();
    		return view('inmobiliaria.cuotas_pago.index',["cuotas_pago"=>$cuotas_pago,"searchText"=>$query],["interesados"=>$interesados]);
    	}
    }

    public function destroy(Request $request,$id)
    {
    	$date = Carbon::now('America/Lima');
        $estado=$request->get('estado');
    	if($estado=="D"){
    		$cuota_pago = CuotasPago::findOrFail($id);
            $cuota_pago->CUOfechaP=$date->toDateTimeString();
    		$cuota_pago->CUOestado='P';
    		$cuota_pago->update();
    		//Registramos un Abono en Caja
        	$caja = new Caja;
        	$date = Carbon::now('America/Lima');
        	$caja->CAJfechaM=$date->toDateString();
            $caja->CAJhoraM=$date->toTimeString();
        	$caja->CAJtipMov='ABONO';
        	$caja->CAJmonto=$request->get('monto_cuota');
        	$caja->CAJdetalle='POR COBRO DE CUOTA';
        	$caja->CAJautori='RESPONSABLE DE CAJA';
        	$caja->save();
        	return Redirect::to('inmobiliaria/cuotas_pago');
    	}else{
    		return Redirect::to('inmobiliaria/cuotas_pago');
    	}
    }

    public function boleta_cuota($id){
         //Obtengo los datos
        $venta=DB::table('ventas as ven')
            ->join('interesados as cli','cli.idInteresado','=','ven.idInteresado')
            ->join('cuotas_pago as c_p','c_p.idVenta','=','ven.idVenta')
            ->where('c_p.idCuotaPago','=',$id)
            ->first();

        $detalles=DB::table('cuotas_pago')
            ->where('idCuotaPago','=',$id)
            ->get();


        $pdf = new Fpdf();
        $pdf::AddPage();

        $pdf::SetTextColor(0,0,0);  // Establece el color del texto
        $pdf::SetFillColor(206, 246, 245); // establece el color del fondo de la celda
        $pdf::SetFont('Arial','B',15);

        //Inicio con el reporte
        $pdf::SetXY(140,30);
        $pdf::Cell(0,0,utf8_decode($venta->VTAtipDoc.": ".$venta->VTAnumSer." - ".$venta->VTAnumDoc));

        $pdf::SetFont('Arial','B',10);
        $pdf::SetXY(20,50);
        $pdf::Cell(0,0,utf8_decode("Cliente:"));
        $pdf::SetXY(40,50);
        $pdf::Cell(0,0,utf8_decode($venta->INTdatos));

        $pdf::SetXY(20,57);
        $pdf::Cell(0,0,utf8_decode("Direcciòn:"));
        $pdf::SetXY(40,57);
        $pdf::Cell(0,0,utf8_decode($venta->INTdirec));

        $pdf::SetXY(140,50);
        $pdf::Cell(0,0,utf8_decode("Fecha Pago:"));
        $pdf::SetXY(170,50);
        $pdf::Cell(0,0,substr("  ".$venta->CUOfechaP,0,12));

        $pdf::SetXY(140,57);
        $pdf::Cell(0,0,utf8_decode("Costo Lote:"));
        $pdf::SetXY(170,57);
        $pdf::Cell(0,0,utf8_decode("S/. ".$venta->VTAmonTot));
        $total=0;

        //Mostramos los detalles
        $y=89.2;

        $pdf::SetTextColor(0,0,0);  // Establece el color del texto
        $pdf::SetFillColor(206, 246, 245); // establece el color del fondo de la celda
        $pdf::SetFont('Arial','B',10);
        //El ancho de las columnas debe de sumar promedio 190
        $yI=81;
        $pdf::SetXY(35,$yI);
        $pdf::cell(30,9,utf8_decode("NUM CUOTA"),1,"","C",true);
        $pdf::cell(40,9,utf8_decode("MONTO CUOTA"),1,"","C",true);
        $pdf::cell(40,9,utf8_decode("FECHA PAGO."),1,"","C",true);
        $pdf::cell(35,9,utf8_decode("ESTADO"),1,"","C",true);

        foreach($detalles as $det){
            $pdf::SetXY(35,$y);
            $pdf::cell(30,7,utf8_decode($det->CUOnumCuo),1,"","C",true);
            $pdf::cell(40,7,utf8_decode("S/. ".$det->CUOmonto),1,"","C",true);
            $pdf::cell(40,7,utf8_decode($det->CUOfechaP),1,"","C",true);
            if ($det->CUOestado=="P") {
                $pdf::cell(35,7,utf8_decode("Pagó"),1,"","C",true);
            }else{
                $pdf::cell(35,7,utf8_decode("Debe"),1,"","C",true);
            }
            $total=$total+($det->CUOmonto);
            $y=$y+7;
        }

        $pdf::Output();
        exit;
    }
}
