<?php

namespace sisAbaco\Http\Controllers;

use Illuminate\Http\Request;

use sisAbaco\Empleado;
use Illuminate\Support\Facades\Redirect;
use sisAbaco\Http\Requests\EmpleadoFormRequest;
use DB;

class EmpleadoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(Request $request)
    {
    	if ($request) {
    		$query = trim($request->get('searchText'));
    		$empleados = DB::table('empleados')->where('EMPnombre','LIKE','%'.$query.'%')
            ->orwhere('EMPapelli','LIKE','%'.$query.'%')
    		->orderBy('idEmpleado','desc')
    		->paginate(7);
    		return view('inmobiliaria.empleado.index',["empleados"=>$empleados,"searchText"=>$query]);
    	}
    }
    public function create()
    {
    	return view("inmobiliaria.empleado.create");
    }
    public function store(EmpleadoFormRequest $request)
    {
    	$empleado = new Empleado;
    	$empleado->EMPdni=$request->get('dni');
        $empleado->EMPnombre=strtoupper($request->get('nombres'));
    	$empleado->EMPapelli=strtoupper($request->get('apellidos'));
    	$empleado->EMPsexo=strtoupper($request->get('sexo'));
    	$empleado->EMPfchNac=strtoupper($request->get('fecha_nac'));
    	$empleado->EMPdirec=strtoupper($request->get('direccion'));
    	$empleado->EMPcelfon=$request->get('fono');
    	$empleado->EMPestado='A';
    	$empleado->save();
    	return Redirect::to('inmobiliaria/empleado');
    }
    public function show($id)
    {
    	return view("inmobiliaria.empleado.show",["empleado"=>Empleado::findOrFail($id)]);
    }
    public function edit($id)
    {
    	return view("inmobiliaria.empleado.edit",["empleado"=>Empleado::findOrFail($id)]);
    }

    public function update(EmpleadoFormRequest $request,$id)
    {
    	$empleado = Empleado::findOrFail($id);
    	$empleado->EMPdni=$request->get('dni');
        $empleado->EMPnombre=strtoupper($request->get('nombres'));
        $empleado->EMPapelli=strtoupper($request->get('apellidos'));
        $empleado->EMPsexo=strtoupper($request->get('sexo'));
        $empleado->EMPfchNac=strtoupper($request->get('fecha_nac'));
        $empleado->EMPdirec=strtoupper($request->get('direccion'));
    	$empleado->EMPcelfon=$request->get('fono');
    	$empleado->update();
    	return Redirect::to('inmobiliaria/empleado');
    }
    public function destroy($id)
    {
    	$empleado=Empleado::findOrFail($id);
    	$empleado->INTestado='0';
    	$empleado->update();
    	return Redirect::to('inmobiliaria/empleado');
    }
}
