<?php

namespace sisAbaco\Http\Controllers;

use Illuminate\Http\Request;

use sisAbaco\Interesado;
use Illuminate\Support\Facades\Redirect;
use sisAbaco\Http\Requests\InteresadoFormRequest;
use DB;

class InteresadoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(Request $request)
    {
    	if ($request) {
    		$query = trim($request->get('searchText'));
    		$interesados = DB::table('interesados')->where('INTdatos','LIKE','%'.$query.'%')
            ->where ('INTestado','=','A')
    		->orderBy('idInteresado','desc')
    		->paginate(7);
    		return view('inmobiliaria.interesado.index',["interesados"=>$interesados,"searchText"=>$query]);
    	}
    }
    public function create()
    {
    	return view("inmobiliaria.interesado.create");
    }
    public function store(InteresadoFormRequest $request)
    {
    	$interesado = new Interesado;
    	$interesado->INTtipDoc=$request->get('tip_doc');
        $interesado->INTnumDoc=$request->get('num_doc');
    	$interesado->INTdatos=strtoupper($request->get('datos'));
    	$interesado->INTrepres=strtoupper($request->get('represent'));
    	$interesado->INTcelfon=$request->get('fono');
    	$interesado->INTubicac=strtoupper($request->get('ubicacion'));
    	$interesado->INTdirec=strtoupper($request->get('direccion'));
    	$interesado->INTestado='A';
    	$interesado->save();
    	return Redirect::to('inmobiliaria/interesado');
    }
    public function show($id)
    {
    	return view("inmobiliaria.interesado.show",["interesado"=>Interesado::findOrFail($id)]);
    }
    public function edit($id)
    {
    	return view("inmobiliaria.interesado.edit",["interesado"=>Interesado::findOrFail($id)]);
    }

    public function update(InteresadoFormRequest $request,$id)
    {
    	$interesado = Interesado::findOrFail($id);
    	$interesado->INTtipDoc=$request->get('tip_doc');
        $interesado->INTnumDoc=$request->get('num_doc');
        $interesado->INTdatos=strtoupper($request->get('datos'));
        $interesado->INTrepres=strtoupper($request->get('represent'));
        $interesado->INTcelfon=$request->get('fono');
        $interesado->INTubicac=strtoupper($request->get('ubicacion'));
        $interesado->INTdirec=strtoupper($request->get('direccion'));
    	$interesado->update();
    	return Redirect::to('inmobiliaria/interesado');
    }
    public function destroy($id)
    {
    	$interesado=Interesado::findOrFail($id);
    	$interesado->INTestado='0';
    	$interesado->update();
    	return Redirect::to('inmobiliaria/interesado');
    }
}
