<?php

namespace sisAbaco\Http\Controllers;

use Illuminate\Http\Request;

use sisAbaco\Proyecto;
use Illuminate\Support\Facades\Redirect;
use sisAbaco\Http\Requests\ProyectoFormRequest;
use DB;

class ProyectoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(Request $request)
    {
    	if ($request) {
    		$query = trim($request->get('searchText'));
    		$proyectos = DB::table('proyectos')->where('PYTnombre','LIKE','%'.$query.'%')
    		->where ('PYTestado','=','V')
    		->orderBy('idProyecto','desc')
    		->paginate(7);
    		return view('inmobiliaria.proyecto.index',["proyectos"=>$proyectos,"searchText"=>$query]);
    	}
    }
    public function create()
    {
    	return view("inmobiliaria.proyecto.create");
    }
    public function store(ProyectoFormRequest $request)
    {
    	$proyecto = new Proyecto;
    	$proyecto->PYTnombre=strtoupper($request->get('nombre'));
        $proyecto->PYTtipo=strtoupper($request->get('tipo'));
        $proyecto->PYTcosto=$request->get('costo');
        $proyecto->PYTnumLot=$request->get('num_lotes');
    	$proyecto->PYTlocali=strtoupper($request->get('localizacion'));
        $proyecto->PYTfono=$request->get('telefono');
    	$proyecto->PYTfchIni=$request->get('fechaini');
    	$proyecto->PYTfchFin=$request->get('fechafin');
        $proyecto->PYTobserv=strtoupper($request->get('observacion'));
    	$proyecto->PYTestado='V';
    	$proyecto->save();
    	return Redirect::to('inmobiliaria/proyecto');
    }
    public function show($id)
    {
    	return view("inmobiliaria.proyecto.show",["proyecto"=>Proyecto::findOrFail($id)]);
    }
    public function edit($id)
    {
    	return view("inmobiliaria.proyecto.edit",["proyecto"=>Proyecto::findOrFail($id)]);
    }

    public function update(ProyectoFormRequest $request,$id)
    {
    	$proyecto = Proyecto::findOrFail($id);
    	$proyecto->PYTnombre=$request->get('nombre');
        $proyecto->PYTtipo=$request->get('tipo');
    	$proyecto->PYTcosto=$request->get('costo');
        $proyecto->PYTnumLot=$request->get('num_lotes');
        $proyecto->PYTlocali=$request->get('localizacion');
        $proyecto->PYTfono=$request->get('telefono');
        $proyecto->PYTfchIni=$request->get('fechaini');
        $proyecto->PYTfchFin=$request->get('fechafin');
        $proyecto->PYTobserv=$request->get('observacion');
    	$proyecto->update();
    	return Redirect::to('inmobiliaria/proyecto');
    }
    public function destroy($id)
    {
    	$proyecto=Proyecto::findOrFail($id);
    	$proyecto->PYTestado='0';
    	$proyecto->update();
    	return Redirect::to('inmobiliaria/proyecto');
    }
}
