<?php

namespace sisAbaco\Http\Controllers;

use Illuminate\Http\Request;

use sisAbaco\Venta;
use sisAbaco\Producto;
use sisAbaco\Caja;
use sisAbaco\CuotasPago;
use sisAbaco\Configuracion;
use sisAbaco\Comprobante;
use Illuminate\Support\Facades\Redirect;
use sisAbaco\Http\Requests\VentaFormRequest;
use DB;

use Carbon\Carbon;
use Response;
use Illuminate\Support\Collection;

class VentaController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(Request $request)
    {
    	if ($request) {
    		$query = trim($request->get('searchText'));
    		$productos = DB::table('productos as prod')
    		->join('proyectos as proy','prod.idProyecto','=','proy.idProyecto')
    		->select('prod.idProducto','proy.PYTnombre as proyecto','prod.PDTnombre','prod.PDTlargo','prod.PDTancho','prod.PDTmanzan','prod.PDTparReg','prod.PDTprecio','prod.PDTimagen')
    		->where('prod.PDTnombre','LIKE','%'.$query.'%')
            ->where('prod.PDTestado','=','D')
    		->orwhere('proy.PYTnombre','LIKE','%'.$query.'%')
            ->where('prod.PDTestado','=','D')
    		->orderBy('prod.idProducto','desc')
    		->paginate(7);
    		return view('inmobiliaria.venta.index',["productos"=>$productos,"searchText"=>$query]);
    	}
    }

    public function create()
    {
    	$producto=Producto::findOrFail($id);
    	$configuracion = DB::table('configuracion')->where('idConfiguracion','=','1')->get();
    	return view("inmobiliaria.venta.vender",["configuracion"=>$configuracion]);
    	$producto = Producto::findOrFail($id);
    }

    public function store(VentaFormRequest $request)
    {
        //Registramos la Venta
        $date = Carbon::now('America/Lima');
    	$venta = new Venta;
    	$venta->idUsuario=1;
    	$venta->idInteresado=$request->get('cliente');
        $venta->idProducto=$request->get('id_producto');
        $venta->VTAtipDoc=$request->get('t_d');
        $venta->VTAnumSer=$request->get('num_serie');
        $venta->VTAnumDoc=$request->get('num_documento');
        $venta->VTAfechaV=$date->toDateTimeString();
        $venta->VTAtipPag=$request->get('tipo_pag');
        $venta->VTAnumCuo=$request->get('num_cuotas');
        $venta->VTAperiod=$request->get('forma_pag');
        $venta->VTAfchPag=$request->get('fecha_pag');
        $venta->VTAmonTot=$request->get('precio');
        $venta->VTAigv=$request->get('igv');
    	$venta->VTAestado='A';
    	$venta->save();

        //Actualizamos el Estado del Producto
        $id=$request->get('id_producto');
        $producto = Producto::findOrFail($id);
        $producto->PDTestado=('V');
        $producto->update();

        //Verificamos el tipo de Pago(CONTADO o CREDITO)
        $tipo_pago=$request->get('tipo_pag');
        if($tipo_pago=="CON"){
            //Registramos la Cuota
            $cuotas_pago = new CuotasPago;
            $cuotas_pago->idVenta=$venta->idVenta;
            $cuotas_pago->CUOnumCuo=1;
            $cuotas_pago->CUOmonto=$request->get('precio');
            $cuotas_pago->CUOfchVnc=$date->toDateString();
            $cuotas_pago->CUOfechaP=$date->toDateTimeString();
            $cuotas_pago->CUOmora=0.00;
            $cuotas_pago->CUOusuario=1; //x mientras xq tengo q modificar akiiiiiiiiiiiiiiiiiiii
            $cuotas_pago->CUOestado='P';
            $cuotas_pago->save();
            //Registramos un Abono en Caja
            $caja = new Caja;
            $caja->CAJfechaM=$date->toDateString();
            $caja->CAJhoraM=$date->toTimeString();
            $caja->CAJtipMov='ABONO';
            $caja->CAJmonto=$request->get('precio');
            $caja->CAJdetalle='COBRO DE VENTA DE PRODUCTO';
            $caja->CAJautori='RESPONSABLE DE CAJA';
            $caja->save();
        }elseif($tipo_pago=="CRE"){
            //Registramos la Cuota Inicial
            $cuotas_pago = new CuotasPago;
            $cuotas_pago->idVenta=$venta->idVenta;
            $cuotas_pago->CUOnumCuo=0;
            $cuotas_pago->CUOmonto=$request->get('inicial');
            $cuotas_pago->CUOfchVnc=$date->toDateString();
            $cuotas_pago->CUOfechaP=$date->toDateTimeString();
            $cuotas_pago->CUOmora=0.00;
            $cuotas_pago->CUOusuario=1;
            $cuotas_pago->CUOestado='P';
            $cuotas_pago->save();
            //Registramos un Abono en Caja de la Cuota Inicial
            $caja = new Caja;
            $caja->CAJfechaM=$date->toDateString();
            $caja->CAJhoraM=$date->toTimeString();
            $caja->CAJtipMov='ABONO';
            $caja->CAJmonto=$request->get('inicial');
            $caja->CAJdetalle='CUOTA INICIAL DE VENTA DE PRODUCTO';
            $caja->CAJautori='RESPONSABLE DE CAJA';
            $caja->save();

            //Insertamos la Primera Cuota
            $cuotas_pago = new CuotasPago;
            $cuotas_pago->idVenta=$venta->idVenta;
            $cuotas_pago->CUOnumCuo=1;
            $cuotas_pago->CUOmonto=$request->get('monto_cuota');
            $cuotas_pago->CUOfchVnc=$request->get('fecha_pag');
            $cuotas_pago->CUOmora=0.00;
            $cuotas_pago->CUOusuario=1;
            $cuotas_pago->CUOestado='D'; //Estado DEBE
            $cuotas_pago->save();

            //Registramos todas las Cuotas
            $num_cuotas = $request->get('num_cuotas');
            $fecha_pag = $request->get('fecha_pag');
            $objeto_fecha = Carbon::createFromFormat('Y-m-d',$fecha_pag);
            $forma_pago=$request->get('forma_pag');

            //Verificamos si es Mensual o Diaria
            if($forma_pago=="MENSUAL"){
                for ($i=2; $i <= $num_cuotas; $i++) {
                    //Insertamos las Demas Cuotas
                    $sum_mes = $objeto_fecha->addMonths(1);
                    $cuotas_pago = new CuotasPago;
                    $cuotas_pago->idVenta=$venta->idVenta;
                    $cuotas_pago->CUOnumCuo=$i;
                    $cuotas_pago->CUOmonto=$request->get('monto_cuota');
                    $cuotas_pago->CUOfchVnc=$sum_mes->toDateString();
                    $cuotas_pago->CUOmora=0.00;
                    $cuotas_pago->CUOusuario=1;
                    $cuotas_pago->CUOestado='D'; //Estado DEBE
                    $cuotas_pago->save();
                    $objeto_fecha = $sum_mes;
                }
            }elseif($forma_pago=="DIARIO"){
                for ($i=2; $i <= $num_cuotas; $i++) {
                    //Insertamos las Demas Cuotas
                    $sum_dia = $objeto_fecha->addDays(1);
                    $cuotas_pago = new CuotasPago;
                    $cuotas_pago->idVenta=$venta->idVenta;
                    $cuotas_pago->CUOnumCuo=$i;
                    $cuotas_pago->CUOmonto=$request->get('monto_cuota');
                    $cuotas_pago->CUOfchVnc=$sum_dia->toDateString();
                    $cuotas_pago->CUOmora=0.00;
                    $cuotas_pago->CUOusuario=1;
                    $cuotas_pago->CUOestado='D'; //Estado DEBE
                    $cuotas_pago->save();
                    $objeto_fecha = $sum_dia;
                }
            }            
        }

        //Actualizamos el Num_Comprobante
        $id_comprobante=$request->get('id_comprobante');
        $comprobante = Comprobante::findOrFail($id_comprobante);
        $comprobante->COMultNum = ($request->get('num_documento')) + 1;
        $comprobante->update();

    	return Redirect::to('inmobiliaria/ventas');
    }

    public function edit($id)
    {
    	$producto=Producto::findOrFail($id);
    	$comprobantes=DB::table('comprobantes')->get();
    	$interesados=DB::table('interesados')->get();
        $configuracion=DB::table('configuracion')->where('idConfiguracion','=','1')->get();
        $hoy = Carbon::now();
    	return view("inmobiliaria.venta.vender",["producto"=>$producto,"comprobantes"=>$comprobantes,"interesados"=>$interesados,"configuracion"=>$configuracion,"fecha_hoy"=>$hoy]);
    }

    public function destroy($id)
    {
        $producto = Producto::findOrFail($id);
        $producto->PDTestado='R';
        $producto->update();
        return Redirect::to('inmobiliaria/venta');
    }

    public function show($id)
    {
        $productos=DB::table('productos')
        ->where('idProducto','=',$id)
        ->first();
        return view("inmobiliaria.venta.show",["productos"=>$productos]);
    }

}
