@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-6 col-mg-6 col-xs-12">
			<h3>Transferir a Caja Chica</h3>
			@if (count($errors)>0)
			<div class="alert alert-danger">
				<ul>
					@foreach ($errors->all() as $error)
					<li>{{$error}}</li>
					@endforeach
				</ul>
			</div>
			@endif
		</div>
	</div>

	{!!Form::open(array('url'=>'inmobiliaria/caja','method'=>'POST','autocomplete'=>'off'))!!}
	{{Form::token()}}
	<div class="row">
		<div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
			<label style="color: orange;">Los campos con (*) son obligatorios</label>
		</div>
	</div>
	<br>
	<div class="row">
		<div class="col-lg-3 col-sm-4 col-mg-3 col-xs-12">
			<div class="form-group">
				<label for="monto">Monto (*)</label>
				<input type="number" id="monto" name="monto" value="{{old('monto')}}" class="form-control" placeholder="Ingrese Monto" min="1" required>
				<input type="hidden" name="valor_entero" id="valor_entero" value="">
			</div>
		</div>
		<div class="col-lg-2 col-sm-4 col-mg-2 col-xs-12">
			<div class="form-group">
				<label for="total" style="color: red">MONTO EN CAJA</label>
				@foreach($caja as $caj)
				<input type="text" id="total" name="total" style="color: red; font-size: 20px; background-color: yellow;" value="S/. {{$caj->Total_Abonos}}" class="form-control" readonly="readonly">
				<input type="hidden" name="total_abonos" id="total_abonos" value="{{$caj->Total_Abonos}}">
				@endforeach
			</div>
		</div>
		<!--
		<div class="col-lg-3 col-sm-4 col-mg-3 col-xs-12">
			<div class="form-group">
				<label for="fecha_mov">Fecha Actual</label>
				<input type="text" name="fecha_mov" value="{{$fecha_hoy->format('Y-m-d')}}" class="form-control" readonly="readonly">
			</div>
		</div>
		-->
		<br>
		<div class="col-lg-2 col-sm-3 col-mg-2 col-xs-6">
			<div class="form-group">
				<input type="checkbox" id="descuenta" name="descuenta" onchange="Descontar();">&nbsp;&nbsp; Descontar Dinero de Caja
			</div>
			<input type="hidden" id="si_no" name="si_no" value="SI">
		</div>	
	</div>
	<div class="row">
		<div class="col-lg-7 col-sm-10 col-mg-7 col-xs-12">
			<div class="form-group">
				<label for="detalle">Detalle (*)</label>
				<input type="text" name="detalle" required value="{{old('detalle')}}" class="form-control" placeholder="Ingrese detalle del Movimiento" maxlength="50">
			</div>
		</div>
	</div>
	<div  class="row">
		<div class="col-lg-7 col-sm-10 col-mg-7 col-xs-12">
			<div class="form-group">
				<label for="autorizado">Autorizado por (*)</label>
				<input type="text" name="autorizado" required value="{{old('autorizado')}}" class="form-control" placeholder="Persona que autoriza Movimiento" maxlength="50">
			</div>
		</div>
		<div class="col-lg-12 col-sm-12 col-mg-12 col-xs-12">
			<div class="form-group">
				<button class="btn btn-primary" type="submit"><i class="fa fa-floppy-o"></i>&nbsp;&nbsp;Guardar</button>&nbsp;
				<a href="{{url('inmobiliaria/caja')}}" class="btn btn-danger"><i class="fa fa-remove"></i>&nbsp;&nbsp;Cancelar</a>
			</div>
		</div>
	</div>
	{!!Form::close()!!}

	@push ('scripts')
	<script type="text/javascript">
		$(document).ready(function(){Monto_Cero();})

		function Descontar()
		{
			descuenta=document.getElementById('descuenta').checked;
			if(descuenta==true){
				$('#si_no').val("SI");
			}else{
				$('#si_no').val("NO");
			}
		}

		function Monto_Cero()
		{
			monto = document.getElementById('total_abonos').value;
			if(monto==""){
				$('#total').val("S/.  0.00");
				$('#valor_entero').val("0");
				$('#descuenta').attr('disabled','disabled');
				$('#si_no').val("NO");
			}else{
				entero = monto * 1;
				$('#valor_entero').val(parseInt(entero));
				max = document.getElementById('valor_entero').value;
				$('#descuenta').removeAttr('disabled');
				$('#descuenta').attr('checked','checked');
				$('#monto').attr('max',max);
			}

		}
	</script>
	@endpush

@endsection