@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
			<h4>Busqueda de Cuotas por Num. de Documento &nbsp;</h4>
			@include('inmobiliaria.cuotas_pago.search')
		</div>
	</div>
	<div class="row">
		<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
			<div class="table-responsive">
				<table class="table table-striped table-bordered table-condensed table-hover">
					<thead style="background-color: #A9D0F5">
						<th>Num. Serie</th>
						<th>Num. Documento</th>
						<th>Num. Cuota</th>
						<th>Monto</th>
						<th>Fecha Venc.</th>
						<th>Fecha Pago</th>
						<th>Estado</th>
						<th>Opciones</th>
					</thead>
					@foreach ($cuotas_pago as $c_p)
					<tr>
						<td>{{ $c_p->VTAnumSer}}</td>
						<td>{{ $c_p->VTAnumDoc}}</td>
						<td>{{ $c_p->CUOnumCuo}}</td>
						<td>S/. {{ $c_p->CUOmonto}}</td>
						<td>{{ $c_p->CUOfchVnc}}</td>
						<td>{{ $c_p->CUOfechaP}}</td>
						<td align="center">
							@if($c_p->CUOestado=="P")
								<span class="badge bg-green">PAGÓ</span>
							@elseif($c_p->CUOestado=="D")
								<span class="badge bg-red">DEBE</span>
							@endif
						</td>
						<td align="center">
							@if($c_p->CUOestado=="P")
								<a href="{{URL::action('CuotasPagoController@boleta_cuota',$c_p->idCuotaPago)}}" target="_blank"><button class="btn btn-info" title="Imprimir"><i class="fa fa-print"></i></button></a>
							@elseif($c_p->CUOestado=="D")
								<a href="" data-target="#modal-delete-{{$c_p->idCuotaPago}}" data-toggle="modal"><button class="btn btn-danger" onclick="verEstado();">Pagar</button></a>
							@endif
						</td>
					</tr>
					@include ('inmobiliaria.cuotas_pago.modal')
					@endforeach
				</table>
			</div>
			{{$cuotas_pago->render()}}
		</div>
	</div>

@endsection