@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-6 col-mg-6 col-xs-12">
			@if (count($errors)>0)
			<div class="alert alert-danger">
				<ul>
					@foreach ($errors->all() as $error)
					<li>{{$error}}</li>
					@endforeach
				</ul>
			</div>
			@endif
		</div>
	</div>

	{!!Form::model($empleado,['method'=>'PATCH','route'=>['empleado.update',$empleado->idEmpleado]])!!}
	{{Form::token()}}
	<div class="row">
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="dni">Número de DNI (*)</label>
				<input type="number" name="dni" required value="{{$empleado->EMPdni}}" class="form-control" placeholder="Num. Documento" maxlength="8">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="nombres">Nombres (*)</label>
				<input type="text" name="nombres" required value="{{$empleado->EMPnombre}}" class="form-control" placeholder="Ingrese Nombres" maxlength="45">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="apellidos">Apellidos (*)</label>
				<input type="text" name="apellidos" required value="{{$empleado->EMPapelli}}" class="form-control" placeholder="Ingrese Apellidos" maxlength="45">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label>Sexo (*)</label>
				<select name="sexo" class="form-control">
					@if($empleado->EMPsexo=='M')
					<option value="M" selected>Masculino</option>
					<option value="F">Femenino</option>
					@else
					<option value="M">Masculino</option>
					<option value="F" selected="">Femenino</option>
					@endif
				</select>
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="fecha_nac">Fecha Nacimiento (*)</label>
				<input type="date" name="fecha_nac" required value="{{$empleado->EMPfchNac}}" class="form-control">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="direccion">Dirección (*)</label>
				<input type="text" name="direccion" required value="{{$empleado->EMPdirec}}" class="form-control" placeholder="Ingrese Dirección" maxlength="80">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="fono">Teléfono (*)</label>
				<input type="text" name="fono" required value="{{$empleado->EMPcelfon}}" class="form-control" placeholder="Numero de Celeular o Teléfono" maxlength="10">
			</div>
		</div>
		<div class="col-lg-12 col-sm-12 col-mg-12 col-xs-12">
			<div class="form-group">
				<button class="btn btn-primary" type="submit"><i class="fa fa-floppy-o"></i>&nbsp;&nbsp;Guardar</button>&nbsp;
				<a href="{{url('inmobiliaria/empleado')}}" class="btn btn-danger"><i class="fa fa-remove"></i>&nbsp;&nbsp;Cancelar</a>
			</div>
		</div>
	</div>		
	{!!Form::close()!!}
@endsection