@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-6 col-mg-6 col-xs-12">
			@if (count($errors)>0)
			<div class="alert alert-danger">
				<ul>
					@foreach ($errors->all() as $error)
					<li>{{$error}}</li>
					@endforeach
				</ul>
			</div>
			@endif
		</div>
	</div>

	{!!Form::model($interesado,['method'=>'PATCH','route'=>['interesado.update',$interesado->idInteresado]])!!}
	{{Form::token()}}
	<div class="row">
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label>Tipo de Documento (*)</label>
				<select name="tip_doc" id="tip_doc" class="form-control" onchange="tipoCliente();">
					@if($interesado->INTtipDoc=='DNI')
					<option value="DNI" selected>DNI</option>
					<option value="RUC">RUC</option>
					@else
					<option value="DNI">DNI</option>
					<option value="RUC" selected="">RUC</option>
					@endif
				</select>
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="num_doc">Número de Documento (*)</label>
				<input type="number" name="num_doc" id="num_doc" required value="{{$interesado->INTnumDoc}}" class="form-control" placeholder="Num. Documento..." maxlength="11">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="datos">Datos del Cliente (*)</label>
				<input type="text" name="datos" required value="{{$interesado->INTdatos}}" class="form-control" placeholder="Datos del Cliente" maxlength="80">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="represent">Representante</label>
				<input type="text" name="represent" id="represent" value="{{$interesado->INTrepres}}" class="form-control" placeholder="Representante" maxlength="80">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="fono">Celular/Telef (*)</label>
				<input type="number" name="fono" required value="{{$interesado->INTcelfon}}" class="form-control" placeholder="Ingrese Celular o Teléfono" maxlength="10">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="ubicacion">Ubicación (*)</label>
				<input type="text" name="ubicacion" required value="{{$interesado->INTubicac}}" class="form-control" placeholder="Ingrese Ubicación" maxlength="45">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-mg-5 col-xs-12">
			<div class="form-group">
				<label for="direccion">Dirección (*)</label>
				<input type="text" name="direccion" required value="{{$interesado->INTdirec}}" class="form-control" placeholder="Ingrese Dirección" maxlength="80">
			</div>
		</div>
		<div class="col-lg-12 col-sm-12 col-mg-12 col-xs-12">
			<div class="form-group">
				<button class="btn btn-primary" type="submit"><i class="fa fa-floppy-o"></i>&nbsp;&nbsp;Guardar</button>
				<a href="{{url('inmobiliaria/interesado')}}" class="btn btn-danger"><i class="fa fa-remove"></i>&nbsp;&nbsp;Cancelar</a>
			</div>
		</div>
	</div>		
	{!!Form::close()!!}

	@push ('scripts')
	<script type="text/javascript">
		$(document).ready(function(){tipoCliente()})

		function tipoCliente()
		{
			tipo_documento = document.getElementById('tip_doc').value;
			if(tipo_documento=='DNI'){
				$('#represent').attr('readonly','readonly');
				$('#represent').attr('placeholder','Inhabilitado');
				$('#num_doc').attr('placeholder','Ingrese su Número de DNI');
				$('#datos').attr('placeholder','Datos del Cliente');
			}else if(tipo_documento=='RUC'){
				$('#represent').removeAttr('readonly');
				$('#represent').attr('placeholder','Datos del Representante');
				$('#num_doc').attr('placeholder','Ingrese Número de RUC');
				$('#datos').attr('placeholder','Razon Social');
			}
		}
	</script>
	@endpush

@endsection