@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-6 col-mg-6 col-xs-12">
			@if (count($errors)>0)
			<div class="alert alert-danger">
				<ul>
					@foreach ($errors->all() as $error)
					<li>{{$error}}</li>
					@endforeach
				</ul>
			</div>
			@endif
		</div>
	</div>

	{!!Form::open(array('url'=>'inmobiliaria/producto','method'=>'POST','autocomplete'=>'off','files'=>'true'))!!}
	{{Form::token()}}
	<div class="row">
		<div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
			<label style="color: orange;">Los campos con (*) son obligatorios</label>
		</div>
	</div>
	<br>
	<div class="row">
		<div class="col-lg-6 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="nombre">Nombre (*)</label>
				<input type="text" name="nombre" required value="{{old('nombre')}}" class="form-control" placeholder="Ingrese nombre del Producto">
			</div>
		</div>
		<div class="col-lg-4 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label>Proyecto (*)</label>
				<select id="proyecto" name="proyecto" class="form-control" onchange="mostrarDatProyecto();">
					@foreach($proyectos as $proy)
					<option value="{{$proy->idProyecto}}_{{$proy->PYTtipo}}">{{$proy->PYTnombre}}</option>
					@endforeach
					<input type="hidden" id="idproyecto" name="idproyecto" value="">
					<input type="hidden" id="tipo_prod" name="tipo_prod" value="">
				</select>
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="largo">Largo(*)</label>
				<input type="text" name="largo" required value="{{old('largo')}}" class="form-control" placeholder="Ingrese Largo">
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="ancho">Ancho(*)</label>
				<input type="text" name="ancho" required value="{{old('ancho')}}" class="form-control" placeholder="Ingrese Ancho" maxlength="5">
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="manzana">Manzana (*)</label>
				<input type="text" name="manzana" required value="{{old('manzana')}}" class="form-control" placeholder="Manzana" maxlength="2">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="perimetro">Perímetro</label>
				<input type="text" name="perimetro" value="{{old('perimetro')}}" class="form-control" placeholder="Ingrese Perímetro" maxlength="10">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_frente">Lindero por el Frente (*)</label>
				<input type="text" name="lind_frente" required value="{{old('lind_frente')}}" class="form-control" placeholder="Frente...">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_der">Lindero Derecho (*)</label>
				<input type="text" name="lind_der" required value="{{old('lind_der')}}" class="form-control" placeholder="Derecho...">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_izq">Lindero Izquierdo (*)</label>
				<input type="text" name="lind_izq" required value="{{old('lind_izq')}}" class="form-control" placeholder="Izquierda...">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_fondo">Lindero Fondo (*)</label>
				<input type="text" name="lind_fondo" required value="{{old('lind_fondo')}}" class="form-control" placeholder="Fondo...">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="part_reg">Partida Registral (*)</label>
				<input type="text" name="part_reg" required value="{{old('part_reg')}}" class="form-control" placeholder="Ingrese Partida Registral" maxlength="10">
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-3 col-xs-12">
			<div class="form-group">
				<label for="precio">Precio (*)</label>
				<input type="text" name="precio" required value="{{old('precio')}}" class="form-control" placeholder="Ingrese Precio" maxlength="6">
			</div>
		</div>
		<div class="col-lg-7 col-sm-8 col-md-7 col-xs-12">
			<div class="form-group">
				<label for="observacion">Observaciones</label>
				<input type="text" name="observacion" value="{{old('observacion')}}" class="form-control" placeholder="Ingrese observaciones del Producto" maxlength="50">
			</div>
		</div>
		<div class="col-lg-7 col-sm-11 col-md-10 col-xs-12">
			<div class="form-group">
				<label for="imagen">Imagen</label>
				<input type="file" name="imagen" class="form-control">
			</div>
		</div>
		<div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
			<div class="form-group">
				<button class="btn btn-primary" type="submit"><i class="fa fa-floppy-o"></i>&nbsp;&nbsp;Guardar</button>&nbsp;
				<a href="{{url('inmobiliaria/producto')}}" class="btn btn-danger"><i class="fa fa-remove"></i>&nbsp;&nbsp;Cancelar</a>
			</div>
		</div>
	</div>
	{!!Form::close()!!}
	
	@push ('scripts')
	<script type="text/javascript">
		$(document).ready(function(){mostrarDatProyecto();})

		function mostrarDatProyecto()
		{
			proyecto=document.getElementById('proyecto').value.split('_');
			$('#idproyecto').val(proyecto[0]);
			tipo = proyecto[1]; 
			$('#tipo_prod').val(tipo[0]);
		}
	</script>
	@endpush

@endsection