@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-6 col-mg-6 col-xs-12">
			@if (count($errors)>0)
			<div class="alert alert-danger">
				<ul>
					@foreach ($errors->all() as $error)
					<li>{{$error}}</li>
					@endforeach
				</ul>
			</div>
			@endif
		</div>
	</div>

	{!!Form::model($producto,['method'=>'PATCH','route'=>['producto.update',$producto->idProducto],'files'=>'true'])!!}
	{{Form::token()}}
	<div class="row">
		<div class="col-lg-6 col-sm-7 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="nombre">Nombre (*)</label>
				<input type="text" name="nombre" required value="{{$producto->PDTnombre}}" class="form-control" placeholder="Ingrese nombre del producto">
			</div>
		</div>
		<div class="col-lg-4 col-sm-5 col-md-5 col-xs-12">
			<div class="form-group">
				<label>Proyecto (*)</label>
				<select id="proyecto" name="proyecto" class="form-control" onchange="mostrarDatProyecto();">
					@foreach($proyectos as $proy)
					@if($proy->idProyecto==$producto->idProyecto)
					<option value="{{$proy->idProyecto}}_{{$proy->PYTtipo}}" selected>{{$proy->PYTnombre}}</option>
					@else
					<option value="{{$proy->idProyecto}}_{{$proy->PYTtipo}}">{{$proy->PYTnombre}}</option>
					@endif
					@endforeach
					<input type="hidden" id="idproyecto" name="idproyecto" value="">
					<input type="hidden" id="tipo_prod" name="tipo_prod" value="">
				</select>
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="ancho">Ancho (*)</label>
				<input type="number" name="ancho" required value="{{$producto->PDTancho}}" class="form-control" maxlength="10" placeholder="Ingrese Ancho">
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="largo">Largo (*)</label>
				<input type="number" name="largo" required value="{{$producto->PDTlargo}}" class="form-control" maxlength="10" placeholder="Ingrese Largo">
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="manzana">Manzana (*)</label>
				<input type="text" name="manzana" required value="{{$producto->PDTmanzan}}" class="form-control" maxlength="2" placeholder="Manzana">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="perimetro">Perímetro</label>
				<input type="text" name="perimetro" value="{{$producto->PDTperime}}" class="form-control" placeholder="Ingrese Perímetro">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_frente">Lindero Frente (*)</label>
				<input type="text" name="lind_frente" required value="{{$producto->PDTlindFt}}" class="form-control" placeholder="Frente">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_der">Lindero Derecho (*)</label>
				<input type="text" name="lind_der" required value="{{$producto->PDTlindDe}}" class="form-control" placeholder="Derecho">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_izq">Lindero Izquierda (*))</label>
				<input type="text" name="lind_izq" required value="{{$producto->PDTlindIz}}" class="form-control" placeholder="Izquierda">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="lind_fondo">Lindero Fondo (*)</label>
				<input type="text" name="lind_fondo" required value="{{$producto->PDTlindFd}}" class="form-control" placeholder="Fondo">
			</div>
		</div>
		<div class="col-lg-5 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="part_reg">Partida Registral (*)</label>
				<input type="text" name="part_reg" required value="{{$producto->PDTparReg}}" class="form-control" maxlength="10" placeholder="Ingrese Partida Registral">
			</div>
		</div>
		<div class="col-lg-3 col-sm-3 col-md-3 col-xs-12">
			<div class="form-group">
				<label for="precio">Precio (*)</label>
				<input type="number" name="precio" required value="{{$producto->PDTprecio}}" class="form-control" placeholder="Ingrese Precio">
			</div>
		</div>
		<div class="col-lg-8 col-sm-8 col-md-8 col-xs-12">
			<div class="form-group">
				<label for="observacion">Observaciones</label>
				<input type="text" name="observacion" value="{{old('observacion')}}" class="form-control" placeholder="Ingrese observaciones del Producto">
			</div>
		</div>
		<div class="col-lg-8 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="imagen">Imagen</label>
				<input type="file" name="imagen" class="form-control">
				@if(($producto->PDTimagen)!="")
					<img src="{{asset('imagenes/productos/'.$producto->PDTimagen)}}" height="150px" width="200px">
				@endif
			</div>
		</div>
		<div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
			<div class="form-group">
				<button class="btn btn-primary" type="submit"><i class="fa fa-floppy-o"></i>&nbsp;&nbsp;Guardar</button>&nbsp;
				<a href="{{url('inmobiliaria/producto')}}" class="btn btn-danger"><i class="fa fa-remove"></i>&nbsp;&nbsp;Cancelar</a>
			</div>
		</div>
	</div>
	{!!Form::close()!!}
	
	@push ('scripts')
	<script type="text/javascript">
		$(document).ready(function(){mostrarDatProyecto();})

		function mostrarDatProyecto()
		{
			proyecto=document.getElementById('proyecto').value.split('_');
			$('#idproyecto').val(proyecto[0]);
			tipo = proyecto[1]; 
			$('#tipo_prod').val(tipo[0]);
		}
	</script>
	@endpush

@endsection