@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
			<div class="form-group">
				<a href="producto/create"><button class="btn btn-success"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nuevo Producto</button></a>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-lg-7 col-md-7 col-sm-8 col-xs-12">
			<div class="form-group">
				@include('inmobiliaria.producto.search')
			</div>
		</div>
		<div class="col-lg-2 col-md-2 col-sm-1 col-xs-12">
			
		</div>
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
			<div class="form-group">
				<a href="{{url('reporte_productos')}}" target="_blank"><button class="btn btn-warning"><i class="fa fa-print"></i>&nbsp;&nbsp;Generar Reporte</button></a>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
			<div class="table-responsive">
				<table class="table table-striped table-bordered table-condensed table-hover">
					<thead style="background-color: #A9D0F5">
						<th>Id</th>
						<th>Proyecto</th>
						<th>Nombre</th>
						<th>Ancho</th>
						<th>Largo</th>
						<th>Precio</th>
						<th>Imagen</th>
						<th>Estado</th>
						<th>Opciones</th>
					</thead>
					@foreach ($productos as $prod)
					<tr>
						<td>{{ $prod->idProducto}}</td>
						<td>{{ $prod->proyecto}}</td>
						<td>{{ $prod->PDTnombre}}</td>
						<td>{{ $prod->PDTancho}}</td>
						<td>{{ $prod->PDTlargo}}</td>
						<td>S/. {{ $prod->PDTprecio}}</td>
						<td>
							<img src="{{asset('imagenes/productos/'.$prod->PDTimagen)}}" alt="{{$prod->PDTnombre}}" height="100px" width="100px" class="img-thumbnail">
						</td>
						<td align="center"> 
							@if($prod->PDTestado=="D")
								<span class="badge bg-green">DISPONIBLE</span>
							@elseif($prod->PDTestado=="V")
								<span class="badge bg-red">VENDIDO</span>
							@elseif($prod->PDTestado=="R")
								<span class="badge bg-orange">RESERVADO</span>
							@endif
						</td>
						<td align="center">
							@if($prod->PDTestado=="D")
								<a href="{{URL::action('ProductoController@edit',$prod->idProducto)}}"><button class="btn btn-info" title="Editar"><i class="fa fa-pencil"></i></button></a>
								<a href="" data-target="#modal-delete-{{$prod->idProducto}}" data-toggle="modal"><button class="btn btn-danger" title="Eliminar"><i class="fa fa-trash"></i></button></a>
							@elseif($prod->PDTestado=="V")
								<a href="{{URL::action('ProductoController@edit',$prod->idProducto)}}"><button class="btn btn-info" title="Editar"><i class="fa fa-pencil"></i></button></a>
								<a href=""><button class="btn btn-danger" title="Deshabilitado"><i class="fa fa-trash"></i></button></a>
							@elseif($prod->PDTestado=="R")
								<a href="{{URL::action('ProductoController@edit',$prod->idProducto)}}"><button class="btn btn-info" title="Editar"><i class="fa fa-pencil"></i></button></a>
								<a href=""><button class="btn btn-danger" title="Deshabilitado"><i class="fa fa-trash"></i></button></a>
							@endif
						</td>
					</tr>
					@include ('inmobiliaria.producto.modal')
					@endforeach
				</table>
			</div>
			{{$productos->render()}}
		</div>
	</div>
@endsection