@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-6 col-mg-6 col-xs-12">
			@if (count($errors)>0)
			<div class="alert alert-danger">
				<ul>
					@foreach ($errors->all() as $error)
					<li>{{$error}}</li>
					@endforeach
				</ul>
			</div>
			@endif
		</div>
	</div>

	{!!Form::model($proyecto,['method'=>'PATCH','route'=>['proyecto.update',$proyecto->idProyecto]])!!}
	{{Form::token()}}
	<div class="row">
		<div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
			<label style="color: orange;">Los campos con (*) son obligatorios</label>
		</div>
	</div>
	<br>
	<div class="row">
		<div class="col-lg-6 col-sm-8 col-md-8 col-xs-12">
			<div class="form-group">
				<label for="nombre">Nombre (*)</label>
				<input type="text" name="nombre" required value="{{$proyecto->PYTnombre}}" class="form-control" placeholder="Nombre del Proyecto" maxlength="50">
			</div>
		</div>
		<div class="col-lg-4 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="tipo">Tipo de Proyecto (*)</label>
				<select id="tipo" name="tipo" class="form-control">
					@if($proyecto->PYTtipo=='LOTE')
					<option value="LOTE" selected>Lotización</option>
					<option value="VIVIENDA">Vivienda</option>
					@else
					<option value="LOTE">Lotización</option>
					<option value="VIVIENDA" selected>Vivienda</option>
					@endif
				</select>
			</div>
		</div>
		<div class="col-lg-6 col-sm-8 col-md-8 col-xs-12">
			<div class="form-group">
				<label for="localizacion">Ubicación (*)</label>
				<input type="text" name="localizacion" required value="{{$proyecto->PYTlocali}}" class="form-control" placeholder="Departamento/Provincia/Distrito" maxlength="50">
			</div>
		</div>
		<div class="col-lg-4 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="telefono">Teléfono</label>
				<input type="text" name="telefono" value="{{$proyecto->PYTfono}}" class="form-control" placeholder="Ingrese Teléfono" maxlength="10">
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="costo">Costo (*)</label>
				<input type="text" name="costo" required value="{{$proyecto->PYTcosto}}" class="form-control" placeholder="Costo Inicial del Proyecto" maxlength="15">
			</div>
		</div>
		<div class="col-lg-3 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="num_lotes">Número Lotes/Viviendas (*)</label>
				<input type="number" name="num_lotes" required value="{{$proyecto->PYTnumLot}}" class="form-control" maxlength="6" placeholder="Ingrese Cantidad">
			</div>
		</div>
		<div class="col-lg-4 col-sm-4 col-md-4 col-xs-12">
			<div class="form-group">
				<label for="fechaini">Fecha de Inicio (*)</label>
				<input type="date" name="fechaini" value="{{$proyecto->PYTfchIni}}" class="form-control">
			</div>
		</div>
		<div class="col-lg-10 col-sm-12 col-md-12 col-xs-12">
			<div class="form-group">
				<label for="observacion">Observaciones</label>
				<input type="text" name="observacion" value="{{$proyecto->PYTobserv}}" class="form-control" placeholder="Ingrese Observaciones del Proyecto" maxlength="80">
			</div>
		</div>
		<div class="col-lg-4 col-sm-6 col-md-6 col-xs-12">
			<div class="form-group">
				<label for="fechafin">Fin del Proyecto</label>
				<input type="date" name="fechafin" class="form-control" value="{{$proyecto->PYTfchFin}}">
			</div>
		</div>
		<div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
			<div class="form-group">
				<button class="btn btn-primary" type="submit"><i class="fa fa-floppy-o"></i>&nbsp;&nbsp;Guardar</button>&nbsp;
				<a href="{{url('inmobiliaria/proyecto')}}" class="btn btn-danger"><i class="fa fa-remove"></i>&nbsp;&nbsp;Cancelar</a>
			</div>
		</div>
	</div>
	{!!Form::close()!!}

@endsection