@extends ('layouts.admin')
@section ('contenido')


	<div class="row">
		<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
			<div class="form-group">
				<a href="venta"><button class="btn btn-success"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nueva Venta</button></a>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-lg-7 col-md-7 col-sm-7 col-xs-12">
			@include('inmobiliaria.ventas.search')
		</div>
		<div class="col-lg-2 col-md-1 col-sm-1 col-xs-12">
			<!-- ESPACIO -->
		</div>
		<div class="col-lg-2 col-md-4 col-sm-4 col-xs-12">
			<div class="form-group">
				<a href="{{url('reporte_ventas')}}" target="_blank"><button class="btn btn-warning"><i class="fa fa-print"></i>&nbsp;&nbsp;Generar Reporte</button></a>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
			<div class="table-responsive">
				<table class="table table-striped table-bordered table-condensed table-hover">
					<thead style="background-color: #1cd47d9e">
						<th>Id</th>
						<th>Tipo Doc.</th>
						<th>Num. Documento</th>
						<th>Lote</th>
						<th>Cliente</th>
						<th>Fecha Venta</th>
						<th>Tipo Pago</th>
						<th>MONTO</th>
						<th>Opciones</th>
					</thead>
					@foreach ($ventas as $ven)
					<tr>
						<td>{{ $ven->idVenta}}</td>
						<td>{{ $ven->VTAtipDoc}}</td>
						<td>{{ $ven->VTAnumSer}} - {{ $ven->VTAnumDoc}}</td>
						<td>{{ $ven->PDTnombre}}</td>
						<td>{{ $ven->INTnumDoc}}</td>
						<td>{{ $ven->VTAfechaV}}</td>
						<td align="center">
							@if($ven->VTAtipPag=="CON")
								<span class="badge bg-green">CONTADO</span>
							@elseif($ven->VTAtipPag=="CRE")
								<span class="badge bg-orange">CRÉDITO</span>
							@endif
						</td>
						<td>S/. {{ $ven->VTAmonTot}}</td>
						<td align="center">
							<a href="{{URL::action('VentasController@boleta',$ven->idVenta)}}" target="_blank"><button class="btn btn-info" title="Imprimir Documento"><i class="fa fa-print"></i></button></a>
						</td>
					</tr>
					@include ('inmobiliaria.ventas.modal')
					@endforeach
				</table>
			</div>
			{{$ventas->render()}}
		</div>
	</div>


@endsection